Subject: RE: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Drew Adams <[email-masked]>
Date: Tue, 24 Nov 2020 12:24:41 -0800 (PST)

> Does anyone have any objections to, or see any problems with adding the
> lexical-binding cookie to autoload files, as in the attached patch?
> 
> I've tested it, and it works just fine here.

Ouch!

"It works just fine here."  Please define "works",
and "here".

If I understand this right then yes, I object strongly.
(It's possible I don't understand it right, however.)

1. What goes in an autoload should have nothing to do
with whether `lexical-binding' gets turned on for a
file to be autoloaded.  No?

2. The code you've changed, IIUC, is used in multiple
places, including user functions such as
`update-directory-autoloads' and
`autoload-generate-file-autoloads'.

Why on earth would we assume that a user who wants to
update her autoloads for a given user directory or
file would necessarily want to force the code to use
`lexical-binding'=t?
___

Please back off with the eagerness to paint
`lexical-binding' everywhere.  Things like this should
be handled case by case, carefully.  Spray-painting
this way is not TRT, IMO.  Sprinkling can, not fire
hose, please.  We'll get to the CL approach to lexical
& dynamic binding eventually, petit a petit.